package com.gci.boot.modules.basedata.service;

import com.gci.boot.common.vo.Result;
import com.gci.boot.modules.basedata.entity.TbVehicle;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 2464
 * @since 2023-08-25
 */
public interface ITbVehicleService extends IService<TbVehicle> {
    /**
     * 作废校验
     * @param id
     * @return
     */
    Result<?> cancelValid(String id);

    /**
     * 车辆作废
     * @param id
     */
    void cancel(String id);

    /**
     * 车辆恢复
     * @param id
     */
    void unCancel(String id);
}
